	/* automat.js 
    -> lit les balises meta pour determiner la config du sommaire,des separateurs et du pied de page
    -> inclu les fichiers global.css et automat.css
    -> si necessaire cree les separateurs de paragraphes et/ou le sommaire 
    . est appele par lanceur.js dans toutes les pages
    . fct principale = lance_automat() gere le deroulement de l'ensemble 
!!! BOGUE MOZILLA: fct lance_automat() pas parsee par Mozilla qd le fichier automat.js est integre
dynamiquement par fct lanceur() (ds fichier automat_lanceur.js) dc instructions directement ds le script automat.js !!!
*/

//alert("automat lance par " + document.location.href);


//////////////////////////////  TABLEAUX DE VARIABLES  /////////////////////////////////////////////////
/* declaration hors des fcts pour portee globale */

/* TAB_PARAMETRES defini les paires: 
[nom de parametre  recup dans META (name) , valeur par defaut (si automat_config.js et META n'existent pas)]
TAB_PARAMETRE[] defini ici = parametres META par defaut d'automat (priorite la + faible = 1) */
tab_parametres = [
          ["auteur" , "TICE - IUFM Aix-Marseille"],
          ["mail" , "webmestre.tice@aix-mrs.iufm.fr"],
          ["sommaire_auto" , "0" ],
          ["pages_relatives_auto" , "0" ],
          ["separateur_auto" , "1"],
          ["css_generale" , "1"],
          ["maj" , "1"],
          ["pied_page" , "1"],
          ["bouton_fermer" , "0"],
          ["deplace_absolus" , "0"],
          ["mode_config" , "0"]
         ];

/* TAB_URL_PARENTS[] defini les paires pour le bandeau parcours de l'en tete:
[nom/chemin du rep parent  trouver ds l'URL , nom officiel du site/sous-site] 
	REMPLACE PAR MEME ARRAY dans /AUTOMAT_OBJETS/AUTOMAT_SITE.JS
*/        

/* TAB_IMBG defini les paires: 
[(balise qui integre l'image background !!situees ds rep_objets!!) , (nom de l'image !!avec son extension!!)] */
var tab_imbg = [
        ["body","webtice.png"], 
        ["h1","bille_h1.png"],
        ["h2","bille_h2.png"],
        ["h3","bille_h3.png"]
           ];

/* TAB_PUCE defini les paires:
[(niveau de titreH du sommaire automatique) , (nom de l'image !!situees ds rep_objets!! !!avec son extension!! servant de puce)]
IMPORTANT: les puces doivent tres classees par ordre de titresH DECROISSANT (cf ruse dans fct GENERE_SOMMAIRE) */
var tab_puce = [
         ["h1","flh1.gif"],
         ["h2","flh2.gif"],
         ["h3","flh3.gif"],
         ["h4","flh3.gif"],
         ["h5","flh3.gif"],
         ["h6","flh3.gif"]
        ];

/* TAB_RAPIDE defini les paires:
[(nom de l'entree de l'acces rapide) , (URL de la page atteinte !!chemin  partir de url_site!! )]
VAR URL_SITE est l'URL !! chemin absolu suivi d'un /!! du site general hebergeant automat */
var url_site = "http://www.aix-mrs.iufm.fr/";
var tab_rapide = [
           ["Accueil" , (url_site + "accueil.php")],
           ["Contacts" , (url_site + "infos/contact.php")],
//           ["Culture" , (url_site + "culture/")],
           ["Decouvrir l'IUFM" , (url_site + "dec_iufm/")],
//           ["Devenir enseignant" , (url_site + "dev_ens/")],
           ["Formations" , (url_site + "formations/")],
           ["Listes de diffusion" , "https://wliste.aix-mrs.iufm.fr/wws/"],
           ["Plan du site" , (url_site + "infos/plan_site.php")],
           ["Recherche" , (url_site + "recherche/")],
//           ["Rel. Internationales" , (url_site + "rel_int/")],
           ["Res. pedagogiques" , (url_site + "res_ped/")],
           ["Services" , (url_site + "services/")]
         ];

/* TAB_ZEBRE defini les couleurs/caracteristiques appliquees aux differentes lignes des <TABLE name="tabZebre" class="tabZebre"> */
var tab_zebre = ["#6699FF" ,	// couleur 1ere ligne
		 "#CCCCCC",	 // couleur lignes paires || colonnes impaires
		 "1px solid #BBBBBB"	// style bordures TD et TABLE
		 ] ;

//////////////////////////////  PILOTAGE GENERAL DES FONCTIONS  /////////////////////////////////////////////////

/* fct LANCE_AUTOMAT() demarre les fcts successives du bizness de scripts selon les options definies dans les META */
/* function lance_automat() {    !!!annulation de cette fct car bogue Mozilla !!! cf tete de fichier    */
    chem_racine = chem_obj.substring(0 , (chem_obj.length - 15));    
    if (test_frame() == "pere_frame") {    
        modif_frameset_pere();        // avant toute operation traite le cas des pages frameset
    }    
    compile_tab_parametres(document);    // compile les META venant des differents niveaux: defaut < site < dossier < document
    integre_css("automat.css");    // integre automat.css = CSS pour tous les elements generes par automat
    if  (parseInt(recup_meta("css_generale")) != 0) {
        integre_css("globale.css");    // integre globale.css = CSS generale du site 
        integre_imbg();            // integre les images background de globale.css 
        if (test_frame() == "enfant_frame" && nom_frame_pere != "automat_framesup") {
            document.body.style.backgroundImage = "none";    // enleve le logo gris fixe
        }
    }
	integre_css("imprim.css");	   // intgre imprim.css = CSS pour obtenir une page imprimable correcte
    if (test_frame() == 0) {
        if (test_absolute() == 1) {    // modifie des elements DIV et SPAN  position verticale absolue
            if (parseInt(recup_meta("deplace_absolus")) != 0) {
                modif_absolute(parseInt(recup_meta("deplace_absolus")));
            }
            integre_tete(recup_meta("pied_page"));	// cree en-tete page avec details display 1 || 0 en fct META pied_page
        }
        else {
            if (parseInt(recup_meta("pied_page")) != 0) {
                integre_tete(0);    // cree en-tete page avec details invisibles
                integre_pied(1 , 1);        // cree pied page avec parametres ( logo+bordure sup , display 1 des details de page )
            }
            else {
                integre_tete(1);    // en cas de pied de page masque, cree en-tete  avec details page visibles
            }
        }
    }
    if (test_frame() == "enfant_frame" && nom_frame_pere == "automat_framesup") {
        chem_racine = "../" + chem_racine;
        integre_tete(0);
    }
    if (test_frame() == "enfant_frame") {
        document.body.style.marginTop = "0px";
        if (parseInt(recup_meta("pied_page")) > 0) {
            integre_pied(1 , 1);        // cree pied page: avec logo+bordure sup / avec display 1
        }
    }
    if (test_frame() != "pere_frame" && test_page_vide() != 0 && test_absolute() != 1 ) {
        if (parseInt(recup_meta("separateur_auto")) > 0) {    
		integre_separateurs();    // cree les separateurs au-dessus des titres H
        }    // !!!IMPORTANT!!! integre_sommaire() DOIT SUIVRE integre_separateur() pour eviter de mettre des separateurs dans le sommaire 
        niv_titres = parseInt(recup_meta("sommaire_auto"));
//	try {	// traitement du cas ou tab_pages_relatives[] n'existe pas 
		integre_sommaire(niv_titres);    // cree le sommaire automatique
		if (tab_pages_relatives.length > 0) {
			if (parseInt(recup_meta("pages_relatives_auto")) == 0 || 1) { //parseInt(recup_meta("pages_relatives_auto")) >= 0) {
				integre_pages_relatives(parseInt(recup_meta("pages_relatives_auto")));	// cree le cadre pages en relation
			}
			else {
				integre_pages_relatives(0);
			}
		}
//	}
//	catch(e) {}
    }
    if (test_frame() != "pere_frame" && (test_frame() == "enfant_frame" && nom_frame_pere == "automat_framesup") != 1) {	//  
    	mise_en_page();
    }


//////////////////////////////  FONCTIONS PRINCIPALES  /////////////////////////////////////////////////

/* fct TEST_ABSOLUTE() detecte s'il existe des elements SPAN ou DIV ayant un positionnement vertical absolu dans la page
retourne 0 ou 1 */
function test_absolute() {
    balises_absolutes = ["span" , "div" , "img"];
    var retour = 0;
    for (b in balises_absolutes) {
        if (document.body.getElementsByTagName(balises_absolutes[b])) {
            balise_traitee = document.body.getElementsByTagName(balises_absolutes[b]);
            for (i = 0; i < balise_traitee.length; i++) {
                if ((balise_traitee[i].style.position == "absolute") && (parseInt(balise_traitee[i].style.top) > 0)) {
                    return(1);    // la page contient des elements positionnes en absolus avec top
                }
            }
        }
    }
    return (0);
}

/* fct MODIF_ABSOLUTE(valeur) modifie la coordonnee verticale des SPAN et DIV avec un positionnement absolu
de "valeur" pixels pour permettre l'affichage de l'en-tete sans modifier la mise en page originale */
function modif_absolute(valeur) {
    for (b in balises_absolutes) {
        if (document.body.getElementsByTagName(balises_absolutes[b])) {
            balise_traitee = document.body.getElementsByTagName(balises_absolutes[b]);
            for (i = 0; i < balise_traitee.length; i++) {
                if ((balise_traitee[i].style.position == "absolute") && (parseInt(balise_traitee[i].style.top) > 0)) {
                    balise_traitee[i].style.top = parseInt(balise_traitee[i].style.top) + valeur;    
                }
            }
        }
    }
}

/* fct TEST_FRAME() detecte si la page est un frameset ou si elle est chargee par un frameset parent 
    . si la page est un frameset => retourne "enfant_frame"
    .si la page est affichee dans un frame => cree la variable 
        NOM_FRAMESET_PERE = attribut name du frame affichant cette page    
        retourne "pere_frame"
    .si la page n'est pas dans un frame comme parent ou enfant => retourne 0    */
function test_frame() {
    if (document.getElementsByTagName("frameset").length > 0) {    // la page qui lance le script est un frameset
        return("pere_frame");
    }
    if (parent.frames.length >1) {    // la page qui lance le script est dans un frame
        for (i = 0; i < parent.frames.length; i++) {
        if (parent.frames[i].location.href.toLowerCase() == document.location.href.toLowerCase()) {
                nom_frame_pere = parent.frames[i].name;
                return("enfant_frame");
            }
        }
    }
    return(0);    // pas de frame parent ou enfants
}

/* fct MODIF_FRAMESET_PERE() est lance lorsque la page contient un frameset
    .1er passage: le script recupere l'url de cette page et lance la page automat_frameset.htm !! ds chem_obj !! 
avec comme parametre ds l'url lancee ?url_page_appelante => cela permettra la recup de cette url
    . 2eme passage: automat_frameset.htm est charge avec 2 frames sans fichiers:
        frame superieur (name = automat_framesup) page generee par fct CREE_FRAME()
        frame inferieur (name = automat_frameinf) = page initiale contenant le frameset, src recuperee par le parametre ?url_frameinf */

function modif_frameset_pere() {
    if (parent.frames[0].name != ("automat_framesup" || "automat_frameinf")) {    // la page appelante est un frameset
        recup_url = document.location.href.toLowerCase();
        document.location = chem_obj + "automat_frameset.htm?" + recup_url;
    }
    if (document.location.href.toLowerCase().indexOf("automat_frameset.htm?") > 0 ) {    // la page appelante est automat_frameset.htm avec l'url de la page initiale dans le ? de son location.href
        url_frameinf = document.location.href.toLowerCase().substring(document.location.href.toLowerCase().indexOf("?") + 1);
//        try {
            automat_frameinf.location = url_frameinf;
// A FAIRE: recup du titre du frameset pere pour le mettre comme titre de automat_frameset
            cree_framesup();
//        }
//        catch(e){}
    }
}

/* fct CREE_FRAMESUP() fabrique le contenu de la page affichee dans le frame superieur (automat_framesup) 
cette page vide sera remplie par le script standart qu'elle lance (avec comme argument (rep_base) 'auto') */
function cree_framesup() {
    htm_framesup = '<html><head><script language="JavaScript" src = "automat_lanceur.js"></script></head>';
    htm_framesup += '<body onload="lanceur(\'auto\')">\n';
    htm_framesup += '</body></html>';
    automat_framesup.document.open();
    automat_framesup.document.write(htm_framesup);
    automat_framesup.document.close();
}

/* fct COMPILE_TAB_PARAMETRES(doc) modifie le tableau TAB_PARAMETRES = options par defaut => priorite 0
    . recupere les META du site  dans TAB_PARAMETRES_SITE[] de automat_site.js => priorite 1
    . recupere les META du repertoire (ou/et ses parents) dans TAB_PARAMETRES_DOSSIER[] de automat_config.js => priorite 2
    . recupere les META de doc !! doc represente un document !! => priorite 3
si elles existent sinon garde la valeur par defaut de tab_parametres initialisee au depart */
function compile_tab_parametres(doc) {    // A FAIRE => BOGUE IE cf try/catch
    // recupere les META du site (automat_site.js) puis du dossier (automat_config.js) (s'ils existent / ou si BOGUE IE ) dans automat_lanceur.js => priorite = 2
        tab_niv_conf = ["site" , "dossier" ];    // !! IMPORTANT !! ordre ds tab_niv_conf[] conditionne le niveau de priorite des META
        tab_conf = new Array;
        c = 0;
        for (n = 0; n < tab_niv_conf.length; n++) {    // construit le tableau tab_conf[] qui stocke les tab_parametres[] renvoyes par envoie_tab_paramtres()
            if (envoie_tab_parametres(tab_niv_conf[n])) {
                tab_conf[c] = envoie_tab_parametres(tab_niv_conf[n]);
                c++;
            }
        }
        for (t = 0; t < tab_conf.length; t++) {
            tab_traite = tab_conf[t];
            for (i in tab_traite) {    // tab_parametres_dossier[] defini ds automat_lanceur.js = tableau bidim identique  tab_parametres[]
                param = tab_traite[i];
                for (j in tab_parametres) {
                    if (tab_parametres[j][0] == param[0]) {
                        tab_parametres[j][1] = param[1];
                    }
                }
            }
        }
        if (test_frame() != "pere_frame") {
        lit_meta(doc);        // recupere les META du doc => priorite 1
    }

    /* fct ENVOIE_TAB_PARAMETRES(site|dossier) renvoie tableaux de parametres des META du site (automat_site.js) ou du dossier(automat_dossier.js) */
    function envoie_tab_parametres(niv) {
        tab_niv = new Array;
        c = 0;
        try {    // traitement si pas de automat_dossier.js
            tab_niv[c] = ["site" , tab_parametres_site];
            c++;
        }
        catch (e) {}
        try {    // traitement si pas de automat_site.js
            tab_niv[c] = ["dossier" , tab_parametres_dossier];
        }
        catch (e) {}
        for (i in tab_niv) {
            if (niv == tab_niv[i][0]) {
                tab_parametres_traite = tab_niv[i][1];
            }
        }
        try {    // traitement bogue IE
            return(tab_parametres_traite);
        }
        catch(e) {return "vide"}
    }

    /* fct LIT_META(doc) recupere les META de l'element doc !!noeud body ou frames[x]!! et les compile dans TAB_PARAMETRES[]*/
    function lit_meta(doc) {
        head_cont = doc.getElementsByTagName("head")[0].innerHTML;
        for (i in tab_parametres) {
            parametre = tab_parametres[i][0];
            defaut = tab_parametres[i][1];
            (navigator.appName.indexOf("Microsoft") != -1)? chaine='content=(.*)name='+ parametre : chaine='name="'+ parametre + '" content="(.*)"' ;
            try {	// traitement BOGUE IE 5.0 => pas de lecture des META du fichier = automat_config.js seul
            	exp_reg = new RegExp(chaine , "im");         
            	!head_cont.match(exp_reg) ? tab_parametres[i][1]=defaut : tab_parametres[i][1]=head_cont.match(exp_reg)[1];
            }
            catch(e) {}
        }
    }
}

/* fct RECUP_META(nom_meta) retourne la valeur du parametre de nom_meta defini par l'auteur (ou sa valeur par defaut) */ 
function recup_meta(nom_meta) {
    val_meta = "";
    for (i = 0 ; i < tab_parametres.length ; i++) {
        if (nom_meta == tab_parametres[i][0]) {
            val_meta = tab_parametres[i][1];
        }
    }
    return val_meta;
}

/* fct INTEGRE_CSS(nom_css) integre le fichier nom_css.css !!avec son extension!! !!situes ds rep_objets!!
=> permet l'integration des CSS communes: globale.css et automat.css sans problemes d'adressage relatif */
function integre_css(nom_css) {
    chem_css = chem_obj + nom_css;
    a_integrer = document.createElement("link");
    a_integrer.setAttribute("rel", "stylesheet");
    a_integrer.setAttribute("href", chem_css );
	if (nom_css == 'imprim.css') {
		a_integrer.setAttribute("media", "print");
	}
    document.body.appendChild(a_integrer);
}

/* fct INTEGRE_IMBG() integre les images definies dans tab_imbg[] !!avec son extension!!
!!situees ds rep_objets!! en tant que imageBackground de la balise definie comme 1er element des paires
=> permet l'integration des images background de la CSS globale.css sans problemes d'adressage relatif
integre aussi l'icone dans la barre d'adresse */
function integre_imbg() {
    for (i = 0 ; i < tab_imbg.length ; i++) {
         balise = tab_imbg[i][0];
         url_imbg = chem_obj + tab_imbg[i][1];
         for (j = 0; j < document.getElementsByTagName(balise).length; j++) {
             document.getElementsByTagName(balise)[j].style.backgroundImage = "url(" + url_imbg + ")";
         }    
    }
    ico_url = document.createElement("link");	// integration icone dans la barre d'adresse
    ico_url.setAttribute("rel" , "SHORTCUT ICON");
    ico_url.setAttribute("href" , chem_obj + "ico_iufm.gif");
    document.body.appendChild(ico_url);
}

/* fct INTEGRE_TETE(visib) et INTEGRE_PIED(logo , disp) creent les balises DIV pour en-tete et pied de page, generent le contenu et l'integrent dans la page */
function integre_tete(visib) {    // visib = affichage des details en 3eme ligne (0 || 1)
	var htm_tete, htm_pied;
	div_tete = document.createElement("div");
	div_tete.setAttribute("id", "emplacement_tete");
	(visib == 0 || recup_meta("pied_page") != 0) ? document.body.style.marginTop = "50px" : document.body.style.marginTop = "70px";
	document.body.appendChild(div_tete);
	div_tete.innerHTML = genere_tete(visib);
}

function integre_pied(logo , disp) {    // logo = affichage du logo  gauche et de la bordure bleue sup (0 || 1), disp = valeur du display de depart 0=>none || 1=>block)
	div_pied = document.createElement("div");
	div_pied.setAttribute("id", "emplacement_pied");
	document.body.appendChild(div_pied);
	div_pied.innerHTML = genere_pied(logo , disp);
}
    /* fct GENERE_TETE() concatene les elements constituant l'entete de page */
    function genere_tete (vis) {    // vis = affichage des details en 3eme ligne (0 || 1)
        htm_tete = '<table width="100%" cellpadding="0px" cellspacing="0px" class="teteTable">\n<tr>\n';
        htm_tete += '<td width="40" rowspan="3"><a name="top"></a><a href="http://www.aix-mrs.iufm.fr/accueil.php" target="_top">\n';
        htm_tete += '<img  src="' + chem_obj + 'logo_iufm.png" width="33" height="45" border="0" alt="Accueil IUFM"></a></td>\n';
        htm_tete += '<td  class="navigIUFM" background="' + chem_obj + 'degrad_navigg.png" width="200">\n';
        htm_tete += '</td><td class="navigIUFM" ><form name="form_rapide" class="rechercher"><select name="sel_rapide" onchange="mgoto(this.options[this.selectedIndex].value)">\n'; // alert(this.options[this.selectedIndex].value); class="rechercherD"
        htm_tete += '<option selected="selected" value="" >Acces rapide IUFM...</option>\n';
        for (i = 0; i < tab_rapide.length; i++) {
            htm_tete += '<option value="' + tab_rapide[i][1] + '">' + tab_rapide[i][0] + '</option>\n';    //class="rechercherD"
        }
        htm_tete += '</select>';
        htm_tete += '<img src="' + chem_obj + 'ico_go.png" width="20" height="20" onclick="mgoto(document.form_rapide.sel_rapide.options[document.form_rapide.sel_rapide.selectedIndex].value)" class="rechercher">\n'; 
        htm_tete += '</form></td><td class="navigIUFM" width="160">';
        htm_tete += '<form action="http://www.aix-mrs.iufm.fr/cgi-bin/htsearch" method="get" name="htdig" class="rechercher" >';     // formulaire rechercher
        htm_tete += '<input name="config" type="hidden" size="18" maxlength="25" value="">\n';
        htm_tete += '<input name="restrict" type="hidden" size="18" maxlength="25" value="">\n';
        htm_tete += '<input name="exclude" type="hidden" size="18" maxlength="25" value="">\n';
        htm_tete += '<input name="method" type="hidden" size="18" maxlength="25" value="and">\n';
        htm_tete += '<input name="format" type="hidden" size="18" maxlength="25" value="builtin-long">\n';
        htm_tete += '<input name="sort" type="hidden" size="18" maxlength="25" value="score">\n';
        htm_tete += '<input name="words" type="text" size="18" maxlength="25" value="Rechercher...">\n';    // class="rechercherG"
        htm_tete += '<input type="image" src="' + chem_obj + 'ico_go.png" width="20" height="20" onclick="try{document.htdig.submit()}catch(e){};">\n';
        htm_tete += '</form></td></tr>\n <tr class="separInf"> \n';
        htm_tete += '<td colspan="3" class="parcours">' + genere_parcours();    // + '</p>\n</td>\n';    <p class="parcours">
// DHTML        htm_tete += '<a id="lien_details" href="#" onclick="bascule_detailstete()">'; 
// A FAIRE        htm_tete += vis == 0 ? '[+ d\'infos]</a></p></td>' : '[masquer les infos]</a>'; 
        htm_tete += '<div id="menuTice" class="menuTice">' + cree_liste_rapide(tab_url_parents) + '</div>';
        htm_tete += '</td></tr>\n<tr><td colspan="3" width="100%" style="background-color:#FFFFFF">' + (vis == 1 ? genere_pied(0 , 1) /*+ 'vis = ' +vis */: '') + '</td></tr>\n';
        htm_tete += '</table>\n';
        return (htm_tete);
    }
    
    /* fct GENERE_PARCOURS() triture l'URL de la page pour construire la succession de sous-sites qui hebergent la page */
    function genere_parcours () {
        htm_parcours = "";
        if (document.location.href.toLowerCase().indexOf("automat_frameset.htm?") > 0 ) {    // la page appelante est automat_frameset.htm avec l'url de la page initiale dans le ? de son location.href
            chem = document.location.href.toLowerCase().substring(document.location.href.toLowerCase().indexOf("?") + 1);
//  BOGUE IE                        alert("href de la page ds automatframe_inf = "+ parent.frames[1].location.href);
//  pas de search ds l'url de automat_frameset.htm    alert("fichier "+document.URL +"\ndonne chem = " +chem);        
        }
        else {
            chem = document.URL.toLowerCase();    // partir URL de la page extraction sous-chaine depuis rep_base jusqu'a fin
        }
        (document.location.protocol=="file:") && (navigator.appName.indexOf("Microsoft") != -1) ? separ="\\" : separ="/";    /* choix du separateur / ou \ en fct du protocole file ou http*/
        tab_reps = (chem.split(separ));
        flag_sstitre = 0;
        var htm_debut = "";
        var htm_fin = "";
        for (i = (tab_reps.length - 1); i >= 0 ; i--) {    // sens decroissant dans tab_reps pour que le premier nom valide rencontre soit celui du rep de ss-site => cellule ss-titre
            var nom_rep = separ + tab_reps[i] + separ;
            try {	// traitement du cas ou tab_url_parents[] n'existe pas (par ex pas de fichier automat_site.js dans /automat_objets)
	            for (j in tab_url_parents) {    // tab_url_parents defini dans automat_site.js
	                if ((separ + tab_url_parents[j][0].toLowerCase() + separ) == nom_rep) {
	                    pos_char = chem.indexOf(separ + tab_url_parents[j][0] + separ) + tab_url_parents[j][0].length +1;
	                    url_rep = chem.substring(0 , pos_char) + '/';
	                    if (flag_sstitre != 1) {
	                        htm_debut = '<table id="ssSite" class="ssSite" background="'+ chem_obj + 'degrad_navigd.png"><tr><td>';
	                        htm_fin = '<a id="ssSiteTitre" href="' + url_rep + '" target="_top">' + tab_url_parents[j][1] + '</a></td></tr></table>';    //<img src="' + chem_obj + 'degrad_navigd.png" style="text-align : right">
	                        titre_partie = tab_url_parents[j][1];
	                        flag_sstitre = 1;
	                    }
	                    else {
	                        htm_fin = '<a href="' + url_rep + '" target="_top">' + tab_url_parents[j][1] + '</a> > ' + htm_fin;
	                    }
	                }
	            }
	    }
	    catch(e) {}
        }
        htm_parcours = htm_debut + htm_fin;    //'<p class="parcours">' + htm_debut + '</p>' + 
        if (htm_parcours == "") {
            htm_parcours = '&nbsp;</td>';
        }
        return (htm_parcours);    
    }
    
    /* fct CREE_LISTE_RAPIDE() lit TAB_URL_PARENTS[] (defini ds /automat_objets/automat_site.js) pour creer la liste des destinations comme intitule de liste et comme attribut value="url  atteindre".
	Cree un onchange="mgoto(value)" sur cette liste + un bouton GO */
	function cree_liste_rapide (tab_url) {
		htm = "";
		htm += '<form name="form_rapideTICE" ><select name="sel_rapideTICE" onchange="mgoto(this.options[this.selectedIndex].value)">'; // alert(this.options[this.selectedIndex].value); class="rechercherD"
		htm += '<option selected="selected" value="" >Acces rapide TICE...</option>\n';
		for (i = 0; i < tab_url.length; i++) {
			if (tab_url[i][2] != 0) {
				htm += '<option value="';
		 		htm += chem_racine + tab_url[i][0];
			 	htm += '/">' + tab_url[i][1] + '</option>\n';
			}
		}
		htm += '</select>';
		htm += '</form>';
		return htm;
	}
    
    /* fct GENERE_PIED() concatene les elements constituant le pied de page */
    function genere_pied (logo , disp) {    // logo = affichage du logo  gauche et de la bordure bleue sup (0 || 1), disp = valeur du display de depart 0=>none || 1=>block)
        htm_pied = "";
        if (logo == 1) {
            htm_pied += '<table width="100%" height="45" border="0">\n<tr>\n<td width="40" rowspan="2">';
            htm_pied += '<a href="http://www.aix-mrs.iufm.fr/accueil.php" target="_top" >\n';
            htm_pied += '<img  id="logo_iufm_pied" src="' + chem_obj + 'logo_iufm.png" width="33" height="45" border="0" title="Accueil IUFM" class="logoPied"></a>\n';
            htm_pied += '</td><td>&nbsp</td></tr><tr><td>';
        }
        htm_pied += '<table ' + (logo == 1 ? 'id="tableau_pied" class="piedTable">' : (disp != 0 ? '/*style="display:none" */ id="tetedetails"  width="100%"><tr>\n' : 'style="display:block" id="tete_details"  width="100%"><tr>\n'));		// disp == 0 ? '<tr><td>[ <a href="javascript:genere_details_page(1)">Infos page</a> ]</td></tr>\n' : '')) ;
        htm_pied += '<tr><td class="mentionsLegales">mentions legales: <a href="http://www.aix-mrs.iufm.fr/infos/mentions.php" target="_top">\n';
        htm_pied += '<img src="' + chem_obj + 'mentions_legales_pt.png" width="42" height="12" border="0"></a></td>';
        htm_pied += '<td  align="left">auteur: <a href="mailto:'+ recup_meta("mail") + '">' + recup_meta("auteur") +'</a></td> \n';
        if (parseInt(recup_meta("maj")) != 0) {
            date_maj = "";
            if (navigator.appName.indexOf("Microsoft") != -1) {    // traitement de la date de maj en fct du navigateur
                
                date_maj = document.lastModified.match(/[0-9\/]+/);
            }
            else {
                jour_date_maj = document.lastModified.match(/\d{2}/);
                mois_date_maj = document.lastModified.match(/\s[a-zA-Z]+/);
                tab_mois = [[" December","12"],[" November","11"],[" October","10"],[" September","09"],[" August","08"],[" July","07"],[" June","06"],[" May","05"],[" April","04"],[" March","03"],[" February","02"],[" January","01"]];
                for (i in tab_mois) {
                    if (tab_mois[i][0] == mois_date_maj) {
                        mois_date_maj = tab_mois[i][1];
                    }
                }
                annee_date_maj = document.lastModified.match(/\d{4}/);
                date_maj = jour_date_maj + "/" + mois_date_maj + "/" + annee_date_maj;
            }
            htm_pied += '<td align="left">Derni&egrave;re maj: ' + date_maj + '</td>\n';
        }
        else {
            htm_pied += '<td>&nbsp</td>';
        }
        if (logo == 1) {
            if (parseInt(recup_meta("bouton_fermer")) != 0) {
                htm_pied += '<td align="right"><button id="bouton_close" onclick="self.close();" >Fermer la fentre</button></td>\n';
                htm_pied += '<td class="separD"><A href="#top"><IMG src="'+ chem_obj + 'icotop_off.png"  width="25" height="25" border="0"></a></td>\n';
            }            
            htm_pied += '<td class="separD"><A href="#top"><IMG src="'+ chem_obj + 'icotop_off.png"  width="25" height="25" border="0"></a></td>\n';
            htm_pied += '</td></tr></table>\n';
        }
        else {
            htm_pied += '<td >&nbsp</td>';
            htm_pied += '</tr></table>';
        }
        return (htm_pied);
    }

/* fct TEST_PAGE_VIDE() detecte si lapage est vide (= 0) ou pleine (= 1) */
function test_page_vide() {
	tab_balises = ["p" , "h1" , "h2" , "h3" , "h4" , "h5" , "h6" ];
	for (i = 0; i < tab_balises.length; i++) {
		if (document.getElementsByTagName(tab_balises[i]).length > 0) {
			return 1;
		}
	}
	return 0;
}


/* fct INTEGRE_SEPARATEURS() lit les META pour determiner le niveau de titresH qui doivent recevoir le separateur,
genere le separateur puis boucle dans le doc pour inserer le separateur au-dessus de tous les titresH */
function integre_separateurs() {
    niveau_titre = parseInt(recup_meta("separateur_auto"));
    for (i = 1 ; i <= niveau_titre ; i++) {
        nivh = "h" + i.toString();
        for (j = 1 ; j < document.getElementsByTagName(nivh).length; j++) { 
            /* j =1 pour ne pas traiter le premier H1,2,3... car au sommet de la page 
            boucle suivante = alternative pour ne pas traiter que le 1er H1
            if (nivh=="h1" && j==0) {
                continue;
            }    */
            noeud_h = document.getElementsByTagName(nivh)[j];    // noeud_h = noeud titreH en cours de traitement 
            if (noeud_h.getAttribute("id") != "automat_sommaire") {        // permet de ne pas mettre de separateur dans le sommaire
                traitement_noeud(noeud_h);
            }
        }
    }
    
    /* fct TRAITEMENT_NOEUD(noeud_h) realise l'ajout du separateur au titreH noeud_h */
    function traitement_noeud (noeud_h) {
        div_conteneur = document.createElement("div");    // div_conteneur = conteneur de separateur + titre H 
        div_conteneur.setAttribute("name" , "separateur");
        div_conteneur.appendChild(genere_separateur());
        noeud_h.style.marginTop = "5px";
        noeud_h.style.marginLeft = "25px";
        clone_noeud_h = noeud_h.cloneNode(true);
        div_conteneur.appendChild(clone_noeud_h);
        try {        // traitement provisoire du bogue quand on relance traitement_noeud() sans avoir recharge la page => en principe ne peut arriver dans un cas standard 
            //document.body.replaceChild(div_conteneur, noeud_h);    // remplace noeud_h par div_conteneur
            noeud_h.parentNode.replaceChild(div_conteneur, noeud_h);    // il semblerait que cette solution marche pour ne pas avoir le bogue
        }
        catch(ex) {alert("Probleme non-resolu :\nla generation automatique des separateurs\n ne peut se faire sans recharger la page !\nActualisez cette page pour un fonctionnement correct.");}
    }
    
    /* fct GENERE_SEPARATEUR() cree le noeud div_separ contenant le separateur */
    function genere_separateur () {
        var htm_separ;
        div_separ = document.createElement("div");    /* div_separateur = conteneur du separateur */
        div_separ.setAttribute("class" , "separateur");
        div_separ.innerHTML = genere_htm_separateur();
        
        /* fct GENERE_HTM_SEPARATEUR() concatene les elements constituant le separateur puis retourne le code HTML  integrer dans div_separ */
        function genere_htm_separateur() {
            htm_separ ="";
//            htm_separ = '<div id="separ_' + j + '" class="separNavig"><a class="divNavRapide" href="javascript:affiche_navig(' + j + ' , 1)"  onmouseover="affiche_navig(' + j + ' , 1)" onmouseout="affiche_navig(' + j + ' , 0)">[ Navigation rapide ]</a></div>';
            htm_separ += '<table width="100%" margin="0" padding="0" border="0">\n<TR>\n<TD class="separG">';
            htm_separ += '<A href="#top"><img src="' + chem_obj + 'icotop_off.png" width="25" height="25" border="0"></a></td>\n';
            htm_separ += '<td><IMG src="' + chem_obj + 'separC_cve.png" width="100%" height="12"></td>';
            htm_separ += '<td class="separD"><A href="#top"><IMG src="'+ chem_obj + 'icotop_off.png"  width="25" height="25" border="0"></a>\n';
            htm_separ += '</td></tr>\n</table>';
            return (htm_separ);
        }
        return (div_separ);
    }
}

/* fct AFFICHE_NAVIG(vis) fait apparaitre sommaire et pages principales au separateur qui lance la fct */
function affiche_navig(num_separ , vis) {
/*	if (vis == 1) {
//		div_clone_somm = document.createElement("div");
//		clone_somm = document.getElementById("automat_sommaire").cloneNode(true);
//		clone_somm.setAttribute("className" , "divNavRapide");
//		clone_somm.setAttribute("class" , "divNavRapide");
		clone_pagesrel = document.getElementById("automat_pages_relatives").cloneNode(true);
		clone_pagesrel.setAttribute("className" , "divNavRapide");
		clone_pagesrel.setAttribute("class" , "divNavRapide");
//		div_clone_somm.appendChild(clone_somm);
		document.getElementById("separ_" + num_separ).setAttribute("className" , "divNavRapide");
		document.getElementById("separ_" + num_separ).setAttribute("class" , "divNavRapide");
//		document.getElementById("separ_" + num_separ).appendChild(div_clone_somm);
//		document.getElementById("separ_" + num_separ).insertBefore(clone_somm , document.getElementById("separ_" + num_separ).firstChild);
		document.getElementById("separ_" + num_separ).appendChild(clone_pagesrel);
	}
	else {
		document.getElementById("separ_" + num_separ).removeChild(clone_pagesrel);
	}
*/
}



/* fct INTEGRE_SOMMAIRE(niv_titres) lit les META pour determiner le niveau de titresH qui doivent tres integres au sommaire automatique,
genere le cadre du sommaire puis boucle dans le doc pour recuperer les titresH et les integrer au sommaire */
//niveau_sommaire = 0;
function integre_sommaire (niv_titres) {    // niv_titres est le niveau de titre  afficher ds le sommaire au depart (recupere ds les META)
    niveau_sommaire = niv_titres;        // niveau_sommaire est le niveau de titreH affiche dans le sommaire en cours (ou defini par META si sommaire n'existe pas encore)
    if (niveau_sommaire > 0 && document.getElementsByTagName("h" + niveau_sommaire).length < 1) {
    	niveau_sommaire = calc_hsup(niveau_sommaire);
    }
    if (trouve_hmax() == 0) {
    	return;        // evite de lancer le sommaire si il n'existe pas de titresH ds la page
    }
    if (document.getElementById("automat_sommaire")) {    // gestion du cas ou integre_sommaire() est appele apres creation du sommaire 
	div_sommaire.parentNode.removeChild(div_sommaire);    // enleve le sommaire existant
        for (i=0 ; i< document.anchors.length ; i++) {        // enleve les ancres creees avec le sommaire auto
            a = document.anchors[i];
            if (a.getAttribute("name").indexOf("titre") > -1) {                
                pere_a = a.parentNode;
                pere_a.removeChild(a);
                i--; // !! IMPORTANT !! l'ancre vient d'tre enlevee dc decalage des indices de ttes les ancres suivantes de -1
            }    
        }
    }
    div_general_tete = document.createElement("div");    // div_general_tete = conteneur des cadres sommaire et pages relatives
    div_general_tete.setAttribute("id" , "general_tete");
    div_sommaire = document.createElement("div");    // div_sommaire  = conteneur du sommaire automatique
    div_sommaire.setAttribute("id" , "automat_sommaire");
    div_sommaire.setAttribute("class" , "automat_sommaire");
    div_sommaire.setAttribute("name" , "automat_sommaire");
    div_general_tete.appendChild(div_sommaire);
    document.body.insertBefore(div_general_tete , document.body.firstChild);
    tete_som = document.getElementById("automat_sommaire");
    if (niveau_sommaire > 0) {		// genere un sommaire deplie
        if (niveau_sommaire < h_max) {        // il reste des niveaux  deplier => presence du +
            tete_som.innerHTML += '<table class="tabTitreSomm" id="tabTitreSomm"><tr><td nowrap><a href="javascript:integre_sommaire(' + calc_hsup(niveau_sommaire) + ')"><img src="' + chem_obj + 'plus_som.png"> </a><a href="javascript:integre_sommaire(' + calc_hinf(niveau_sommaire) + ');"><img src="' + chem_obj + 'moins_som.png"></a></td><td><p class="titreSom"> Sommaire </p></td></tr></table>';
        }
	        else {	        	
	        	tete_som.innerHTML += '<table class="tabTitreSomm" id="tabTitreSomm"><tr><td><a href="javascript:integre_sommaire(' + calc_hinf(niveau_sommaire) + ');"><img src="' + chem_obj + 'moins_som.png"></a></td><td ><p class="titreSom"> Sommaire </p></td></tr></table>'; 
	        }
    }
    else {
        if (trouve_hmax() > 0) {    // genere un sommaire replie	
            tete_som.innerHTML = '[ <a href="javascript:integre_sommaire(' + calc_hsup(niveau_sommaire) + ')">Sommaire</a> ]';
        }
    }

    j = 0;        // j = compteur de titresH pour que le nom de l'ancre ajoutee au titreH soit unique (de la forme "#titrej")
    genere_sommaire(document.body);
    
    /* fct GENERE_SOMMAIRE() parcours la page pour traiter les titresH: integration au sommaire avec le lien puis creation de l'ancre*/
    function genere_sommaire(i) {    
        if (i.nodeType == 1 && i.childNodes.length > 0) {    // ne pas traiter les noeuds n'ayant pas d'enfants pour aller + vite
            for (i = i.firstChild; i != null; i = i.nextSibling) {
                if ((i.nodeType == 1) && (i.tagName.length == 2) && (i.tagName.charAt(0) == "H") && (parseInt(i.tagName.charAt(1)) <= niveau_sommaire) ) {
                    lien_h = document.createElement("a");    // lien_h est le conteneur du titreH en cours dans le sommaire, avec le lien pour acces
                    lien_h.setAttribute("href" , ("#titre" + j));
                    lien_h.onmouseover = select_item_on;	// DHTML
		    lien_h.onmouseout = select_item_off;	// DHTML
                    clone_h = i.cloneNode(true);
                    puce_h = document.createElement("img");
                    puce_h.setAttribute("src" , (chem_obj + tab_puce[(parseInt(i.tagName.charAt(1))-1)][1]));    // petite ruse pour appeler la puce de niveau titreH dans tab_puce => !!IMPORTANT: ordre des titresH dans tab_puce!!
                    clone_h.insertBefore(puce_h, clone_h.firstChild);
                    lien_h.appendChild(clone_h);
                    //div_sommaire.insertBefore(lien_h);
                    div_sommaire.appendChild(lien_h);
                    i.innerHTML += '<a name="titre' + j + '"></a>';    // creation de l'ancre pour le titreH en cours de traitement methode innerHTML car createElement("a") ne donne pas une ancre valide pour IE 
                    j++;
                }
                else {
                    genere_sommaire(i);    // recurence de genere_sommaire() pour les enfants du noeud en cours => permet de traiter des titresH integres dans d'autres balises (TABLE ou DIV par ex)
                }
            }
        }
        

    }
        /* fct CALC_HSUP(niv) determine le niveau de titres H superieurs (1 -> 6) non-vides */
        function calc_hsup(niv) {
        	niv = parseInt(niv);
		for ( i = niv; i < 7; i++){
			if (document.getElementsByTagName("h" + (i + 1)).length > 0) {
				return (i + 1);
			}
		}
		return 1;	// defaut = 1 pour le cas ou META sommaire_auto >  hmax
        }
        /* fct CALC_HINF(niv) determine le niveau de titres H inferieurs (6 -> 1) non-vides */
        function calc_hinf(niv) {
        	niv = parseInt(niv);
		for ( i = niv; i > 0; i--){
			if (document.getElementsByTagName("h" + (i - 1)).length > 0) {
				return (i - 1);
			}
		}
		return 0;	// par defaut, si pas de H inf, permet de replier le sommaire
        }
        
        
           
    /* fct TROUVE_HMAX() parcours les balises H pour trouver et retourner le niveau maximum de titreH present */
    function trouve_hmax() {
        h_max = 0;
        for (i = 1; i <= 6; i++) {
            if (document.body.getElementsByTagName("H" + i).length > 0) {
                h_max = i;
            }
        }        
        return(h_max);
    }
    
}

/* fct INTEGRE_PAGES_RELATIVES(niv_affiche) cree le cadre "pages en relation" et l'affiche en mode ouvert/ferme
selon niv_titre. niv_titre est le resultat de la compil de la balise META pages_relatives_auto: 0 ou 1 */
function integre_pages_relatives(niv_affiche) {
	if (document.getElementById("automat_pages_relatives")) {    // gestion du cas ou integre_pages_relatives() est appele apres creation de Pages relatives 
		div_pages_relatives.parentNode.removeChild(div_pages_relatives);    // enleve le Pages relatives existant
	}
	div_pages_relatives = document.createElement("div");    // div_sommaire  = conteneur du sommaire automatique
	div_pages_relatives.setAttribute("id" , "automat_pages_relatives");
	div_pages_relatives.setAttribute("class" , "automat_sommaire");
	if (!document.getElementById("general_tete")) {		//div_general_tete) {	// cas o le div_general_tete n'a pas ete cree car pas de titres H dc de sommaire
		div_general_tete = document.createElement("div");    // div_general_tete = conteneur des cadres sommaire et pages relatives
		div_general_tete.setAttribute("id" , "general_tete");
		document.body.insertBefore(div_general_tete , document.body.firstChild);
	}
	div_general_tete.appendChild(div_pages_relatives);
	contenu_pagesrel = document.getElementById("automat_pages_relatives");
	if (niv_affiche > 0) {		// genere un pages relatives deplie
	        coin_D = '<div class="coinD"><a href="../"><img src="' + chem_obj + 'flsup.png" > Partie<br>superieure</a></div>';
	        contenu_pagesrel.innerHTML += coin_D + '<table class="tabTitreSomm" id="tabPagesRel"><tr><td nowrap><a href="javascript:integre_pages_relatives(0)"><img src="' + chem_obj + 'moins_som.png"></a></td><td><p class="titreSom"> Pages principales </p></td></tr></table><p>';
		for (i = 0; i < tab_pages_relatives.length; i++) {
			if (document.URL.indexOf(tab_pages_relatives[i][1]) > 0) {
				en_cours = document.createElement("a");
				en_cours.setAttribute("href" , "#");
				en_cours.onmouseover = select_item_on;		// attribution DHTML
				en_cours.onmouseout = select_item_off;		// attribution DHTML
//				en_cours.setAttribute("id" , "pageEnCours");
				div_pages_relatives.appendChild(en_cours);
				p_intitule = document.createElement("p");
				p_intitule.setAttribute("class" , "pageEnCours");
				p_intitule.setAttribute("id" , "pageEnCours");
				p_intitule.style.backgroundColor = "#999999";
				p_intitule.style.color = "#FFFFFF";
				p_intitule.style.fontWeight = "500";
				puce = document.createElement("img");
				puce.setAttribute("src" , chem_obj + "flh1_off.gif");
				p_intitule.appendChild(puce);			
				p_intitule.appendChild(document.createTextNode(tab_pages_relatives[i][0]));
				en_cours.appendChild(p_intitule);
				continue;
			}
			else {
				lien_rel = document.createElement("a");
				lien_rel.setAttribute("href" , tab_pages_relatives[i][1]);
	//			lien_rel.setAttribute("id" , "page_rel" + i);
				lien_rel.onmouseover = select_item_on;		//attribution DHTML
				lien_rel.onmouseout = select_item_off;		// attribution DHTML
				div_pages_relatives.appendChild(lien_rel);
				p_intitule = document.createElement("p");
	//			lien_rel.addEventListener("mouseover" , select_item_on , true);		// elegant mais pas supporte par IE !!
	//			lien_rel.addEventListener("mouseout" , select_item_off , false);	// donc remplce par 2 lignes ci-dessous
				puce = document.createElement("img");
				puce.setAttribute("src" , chem_obj + "flh1.gif");
				p_intitule.appendChild(puce);			
				p_intitule.appendChild(document.createTextNode(tab_pages_relatives[i][0]));
				lien_rel.appendChild(p_intitule);
			}
						
		}
	}
	else {
		contenu_pagesrel.innerHTML = '[ <a href="javascript:integre_pages_relatives(1)">Pages principales</a> ]';
	}
	
}



/*/////////////////////////////// FONCTIONS DE MISE EN PAGE ///////////////////////////////////////////
Fonctions permettant les mises en page complexes */

/* fct MISE_EN_PAGE() est la fct qui envoie et pilote les fcts de mise en page */
function mise_en_page() {
	if (/*(document.URL.indexOf("index.htm") > 0 || document.URL.lastIndexOf(separ) == document.URL.length-1) &&*/ test_page_vide() == 0) {
		index_pages_principales();	// cree un tableau de liens vers pages principales si la page est un index.htm et si elle est vide
	}
	mep_tabZebre(0);
}

/* fct MEP_TABZEBRE() colore les tableaux ayant l'attribut name="tabZebre" ou "tabZebreC" */
function mep_tabZebre(vis_tete) {
	tab_table = document.body.getElementsByTagName("table");
//alert(tab_table.length);
	for (i=0 ; i < tab_table.length ; i++) {	// boucle ds tous les tableaux
		get_tab_name = tab_table[i].getAttribute("name");
		get_tab_class = tab_table[i].getAttribute("class");
		if ((get_tab_name == "tabZebreC") || (tab_table[i].getAttribute("name") == "tabZebre")) {
//			tab_table[i].style.clear = "right";
			tab_table[i].style.border = tab_zebre[2];
			tab_tr = tab_table[i].getElementsByTagName("tr");
			for (j=0 ; j < tab_tr.length ; j++) {	// boucle ds toutes les lignes
				tab_td = tab_tr[j].getElementsByTagName("td");
				for (k=0 ; k < tab_td.length ; k++) {	// boucle ds toutes les cellules avec j n ligne et k n de cell ds la ligne
					td_style = tab_td[k].style;
					if (j == 0) {	// premiere ligne du tableau
						td_style.backgroundColor = tab_zebre[0];	// tab_zebre[] defini en en-tete contient les couleurs du tableau  appliquer
						td_style.fontWeight = "bold";
						td_style.textAlign = "center";
					}
					else {	// lignes suivantes
						td_style.paddingLeft = "10px";
						td_style.border = tab_zebre[2];
						if (tab_table[i].getAttribute("name") != "tabZebreC") {	// grise standard = par lignes
							if (j%2 == 0 ) {	// lignes paires apres le titre
								td_style.backgroundColor = tab_zebre[1];
							}
							else {	// lignes impaires apres le titre
								td_style.border = tab_zebre[2];
							}
						}
						else {	// grise par colonnes
							if (k%2 == 0 ) {	// colonnes impaires
								td_style.backgroundColor = tab_zebre[1];
							}
							else {	// colonnes paires
								
							}
						}
					}
				}
			}
		}
	}
}

/* fct INDEX_PAGES_PRINCIPALES() cree un tableau (class tabZebre)  partir de TAB_PAGES_RELATIVES[] 
defini dans de AUTOMAT_CONFIG.JS du rep courant  et/ou parents 
Cette fonction renvoie l'ensemble du code HTML  l'endroit o la fct est appelee dans la page */
function index_pages_principales() {
	if ( tab_pages_relatives) {
	 	htm_titre = '<p class="titre10">Sommaire</p>';
	 	div_index_automat = document.createElement("div");    // div_index_automat  = conteneur de l'index automatique
		div_index_automat.setAttribute("id" , "index_automat");
		document.body.insertBefore(div_index_automat , document.body.firstChild);
	 	coin_D = '<div class="coinD"><a href="../"><img src="' + chem_obj + 'flsup.png" border="0"> Partie superieure</a></div>';
	 	htm_tab = '<div class="pIntro">';
	 	htm_tab += coin_D + '<table border="0" class="pDecale">';
	 	for (i = 0; i < tab_pages_relatives.length; i++) {
 		 	if (document.URL.indexOf(tab_pages_relatives[i][1]) > 0) {
				titre_page = tab_pages_relatives[i][0];
				htm_titre = '<p class="titre10">' + titre_page + '</p>';
				htm_titre += '<h1>Sommaire "';
				if (titre_partie) {
					htm_titre +=  titre_partie + '" ';
				}
				htm_titre +=  '</h1><p>Cette page vous permet d\'acceder aux sous-partie(s) / page(s) suivantes: </p>'
				continue;
			}
 		 	htm_tab += '<tr><td nowrap style="padding-top:15px"><a href="' + tab_pages_relatives[i][1] + '"><img src="' + chem_obj + 'icosuite.png" style="vertical-align:middle" border="0"> ' + tab_pages_relatives[i][0] + '</a></td>';
	 	}
	 	htm_tab += '</tr></table><p class="automatSigne">page generee par automat</p></div>';
/* 		if (!htm_titre) {
			htm_titre = '<p class="titre10">Sommaire</p>';
			htm_titre += '<h1>Pages principales </h1><p>Cette partie propose les pages suivantes comme acces aux differentes parties presentes.</p>';
		}
*/		div_cible = document.getElementById("index_automat");
		div_cible.innerHTML = htm_titre + htm_tab;
 	}
}


/*/////////////////////////////////////// FONCTIONS DHTML /////////////////////////////////////////////
Fonctions permettant la reactivite des elements de la page */

/* fct MGOTO(adresse) permet de chager la page quand on lance l'acces rapide !! adresse est recupere comme selection du formulaire */
function mgoto(adresse) {
    if (adresse != "") {
        try {
            top.location = adresse;
            return;
        }
        catch(e){}
    }
}

/* fct SELECT_ITEM_ON() transforme le fond et l'image d'un item selectionne ds sommaire_auto et pages_relatives_auto 
pour l'atribution de ce DHTML  un element voir INTEGRE_PAGES_RELATIVES  */
function select_item_on() {
//	delais_disp(50);
	if (this.firstChild.id == "pageEnCours") {
		return;
	}
	if (this.childNodes) {
		for (i = 0; i < this.childNodes.length; i++) {
			this.childNodes[i].style.backgroundColor = "#999999";
			this.childNodes[i].style.color = "#FFFFFF";
			this.childNodes[i].style.fontWeight = "500";
		}
	}
	this.style.backgroundColor = "#999999";
//	delais_disp(50);
	if (this.firstChild.firstChild.src) {
		src_img = this.firstChild.firstChild.src;
		src_img = src_img.substring(0 , src_img.length-4) + '_off' + src_img.substring(src_img.length-4);	// l'image affichee prend le suffixe _off avant l'extension
		this.firstChild.firstChild.src = src_img;
	}
	/* fct DELAIS_DISP(millisec) maintient un item  l'etat on pendant millisec avant de disparaitre pour eviter le scintillement */
	var cpteur = 0;
	var pause = 100;
	function delais_disp (millisec) {
		pause = millisec;
		switch (cpteur) {
			case 0:
				cpteur++;
				setTimeout( delais_disp() , pause);			
			case 1:
				cpteur = 0;
				return;
		}		
	}
}
/* fct SELECT_ITEM_OFF() transforme le fond et l'image d'un item deselectionne ds sommaire_auto et pages_relatives_auto */
function select_item_off() {
//	delais_disp(50);
	if (this.firstChild.id == "pageEnCours") {
		return;
	}
	if (this.childNodes) {
		for (i = 0; i < this.childNodes.length; i++) {
			this.childNodes[i].style.backgroundColor = "#f0f0f0";
			this.childNodes[i].style.color = "#000000";
			this.childNodes[i].style.fontWeight = "normal";
		}
	}
	this.style.backgroundColor = "#f0f0f0";
//	delais_disp(50);
	if (this.firstChild.firstChild.src && this.firstChild.firstChild.src.indexOf("_off") > 0) {
		src_img = this.firstChild.firstChild.src;
		src_img = src_img.substring(0 , src_img.length-8) + src_img.substring(src_img.length-4);	// l'image affichee perd le suffixe _off avant l'extension
		this.firstChild.firstChild.src = src_img;
	}
	/* fct DELAIS_DISP() maintient un item  l'etat on avant de disparaitre pour eviter le scintillement */
	var cpteur = 0;
	var pause = 100;
	function delais_disp (millisec) {
		pause = millisec;
		switch (cpteur) {
			case 0:
				cpteur++;
				setTimeout( delais_disp() , pause);			
			case 1:
				cpteur = 0;
				return;
		}		
	}
}


/* fct BASCULE_DETAILSTETE() affiche/masque les infos de la page dans l'en-tete */
function bascule_detailstete() {    // A FAIRE
    /*alert ("bascule_tete lancee");
    txt_vis = '[+ d\'infos]';
    txt_masq = '[masquer les infos]'; 
    if (document.getElementById("tetedetails").display == "none") {
        document.body.style.marginTop = "65px";
        document.getElementById("tetedetails").style.display = "block";
        document.getElementById("lien_details").innerHTML = txt_masq;
    }
    else {
        document.body.style.marginTop = "50px";
        document.getElementById("tetedetails").style.display = "none";
        document.getElementById("lien_details").innerHTML = txt_vis;
    }
    */
    return;
}
